Subject: Re: BUG found in comm
From: Jim Meyering <[email-masked]>
To: [email-masked]
Cc: Raphael Borchert <[email-masked]>
Date: Sun, 24 Jul 2011 16:10:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> I found a bug in "comm"
> If I use "comm -1 -3 MNF.lst sketch.lst", I get the number "104014", but
> both files contain the number   "104014"
>
> here my terminal:
> [p308663 <at> cexlx111 SKETCH]$ comm -1 -3 MNF.lst sketch.lst | head -20
> 11250
> 104014
> 104079

Thank you for the report.  However, that is not a bug.
The problem is that your input is not sorted, and comm
requires that each input stream be sorted.

Using the --check-order option shows the offending line:

    $ comm --check-order -1 -3 MNF.lst sketch.lst
    11250
    comm: file 2 is not in sorted order
    [Exit 1]

I've closed this "issue".